# Uses of Class
org.apache.solr.client.solrj.request.json.DomainMap

Packages that use DomainMap
Package
Description
org.apache.solr.client.solrj.request.json
Allows sending of requests using Solr's JSON query/faceting API

## Uses of DomainMap in org.apache.solr.client.solrj.request.json

Methods in org.apache.solr.client.solrj.request.json that return DomainMap
Modifier and Type
Method
Description
`DomainMap`
DomainMap.`setBlockChildQuery(String allChildrenQuery)`
Indicates that the resulting domain will contain all child documents of the parents in the current domain
`DomainMap`
DomainMap.`setBlockParentQuery(String allParentsQuery)`
Indicates that the resulting domain will contain all parent documents of the children in the existing domain
`DomainMap`
DomainMap.`setJoinTransformation(String from, String to)`
Transforms the domain by running a join query with the provided `from` and `to` parameters
`DomainMap`
DomainMap.`withFilter(String filter)`
Indicates that the domain should be narrowed by the specified filter
`DomainMap`
DomainMap.`withQuery(String query)`
Indicates that the domain should be the following query
`DomainMap`
DomainMap.`withTagsToExclude(String excludeTagsValue)`
Provide a tag or tags that correspond to filters or queries to exclude from the domain
Methods in org.apache.solr.client.solrj.request.json with parameters of type DomainMap
Modifier and Type
Method
Description
`B`
JsonFacetMap.`withDomain(DomainMap domain)`